package com.muyu.goods.service;

import com.muyu.goods.domain.IotDbParam;
import com.muyu.goods.domain.IotDbResult;
import org.apache.iotdb.rpc.IoTDBConnectionException;
import org.apache.iotdb.rpc.StatementExecutionException;

import java.rmi.ServerException;
import java.util.List;

public interface IotDbServer {

    public void insertData(IotDbParam iotDbParam) throws StatementExecutionException, ServerException, IoTDBConnectionException;
    public List<IotDbResult> queryDataFromIotDb(IotDbParam iotDbParam) throws Exception;
}
