package com.muyu.goods;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import com.muyu.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableAsync;

@SpringBootApplication
@EnableMyFeignClients
@EnableCustomSwagger2
@EnableCustomConfig
@EnableAsync
public class MuyuGoodsApplication {
    public static void main(String[] args) {
        SpringApplication.run(MuyuGoodsApplication.class,args);
    }
}
